package com.zcloud.basic.info.persistence.repository;

import com.zcloud.basic.info.persistence.dataobject.RzUserDO;
import com.alibaba.cola.dto.SingleResponse;
import com.alibaba.cola.dto.PageResponse;
import com.jjb.saas.framework.repository.repo.BaseRepository;

import java.util.Map;
import java.util.List;

/**
 * web-infrastructure
 *
 * @Author SondonYong
 * @Date 2025-12-02 17:15:57
 */
public interface RzUserRepository extends BaseRepository<RzUserDO> {

    PageResponse<RzUserDO> listPage(Map<String, Object> params);

    List<RzUserDO> list(Map<String, Object> params);

    SingleResponse<RzUserDO> getInfoById(Long id);

    RzUserDO getByPhoneAndIdCardNumber(String phone, String idCardNumber);

}

